<?php

$themename = "Personal Memo";
$shortname = "personalmemo";

$settings = array(

	'featured1' => 'ويژه',
	
	'about'=>'Hi! My name is Paul and I am a Designer and Blogger from Brisbane. This is my creative outlet. <a href="#">more &raquo;</a>',
	'facebook'=>'',
	'youtube' => 'H5h95s0OuEg',
	
	'mail_url'=>'http://www.mobinsoft.net/about-us/',
	'rss_url'=>'http://www.mobinsoft.net/rss/',
	'twitter_url'=>'http://www.twitter.com/',
	'facebook_url'=>'http://www.facebook.com/',
	'stumbleupon_url'=>'http://www.stumbleupon.com/',
	'twitter'=>'<ul>
	<li>
		What is your Religion and is it making you a better person?
		<p><a href="#">2 days ago</a></p>
	</li>
	<li>
		What is your Religion and is it making you a better person?
		<p><a href="#">2 days ago</a></p>
	</li>
	<li>
		What is your Religion and is it making you a better person?
		<p><a href="#">2 days ago</a></p>
	</li>
	</ul>'

);

# Settings

function s_lang($text) {
	return $text;
};

$options = array (

	array(	"name" => s_lang("تنظيمات مطالب ويژه"),
			"type" => "header"
	),
	
	array(  "name" => s_lang("نام دسته ويژه"),
            "id" => $shortname."_featured1",
            "std" => $settings['featured1'],
            "type" => "text"),
    
    array(	"name" => s_lang("تنظيمات سايدبار راست"),
			"type" => "header"
	),
    
    array(  "name" => s_lang("درمورد من"),
            "id" => $shortname."_about",
            "std" => $settings['about'],
            "type" => "textarea"),
    
     array(  "name" => s_lang("كد ابزارك فيسبوك"),
            "id" => $shortname."_facebook",
            "std" => $settings['facebook'],
            "type" => "textarea"),
    
    array(  "name" => s_lang("ويدئوي ويژه (آيدي ويدئوي يوتيوب)"),
            "id" => $shortname."_youtube",
            "std" => $settings['youtube'],
            "type" => "text"),
    
    array(	"name" => s_lang("تنظيمات سايدبار چپ"),
			"type" => "header"
	),
	
	array(  "name" => s_lang("رايانامه"),
            "id" => $shortname."_mail_url",
            "std" => $settings['mail_url'],
            "type" => "text"),
    
    array(  "name" => s_lang("خبرخوان"),
            "id" => $shortname."_rss_url",
            "std" => $settings['rss_url'],
            "type" => "text"),
    
    array(  "name" => s_lang("آدرس تويتر"),
            "id" => $shortname."_twitter_url",
            "std" => $settings['twitter_url'],
            "type" => "text"),
    
    array(  "name" => s_lang("آدرس فيسبوك"),
            "id" => $shortname."_facebook_url",
            "std" => $settings['facebook_url'],
            "type" => "text"),
    
    array(  "name" => s_lang("آدرس StumbleUpon"),
            "id" => $shortname."stumbleupon_url",
            "std" => $settings['stumbleupon_url'],
            "type" => "text"),
    
    array(  "name" => s_lang("كد ابزارك تويتر"),
            "id" => $shortname."_twitter",
            "std" => $settings['twitter'],
            "type" => "textarea"),

);

function mytheme_add_admin() {
    global $themename, $shortname, $options;
    if ( $_GET['page'] == basename(__FILE__) ) {
		if ( 'save' == $_REQUEST['action'] ) {
			foreach ($options as $value) if ($value['type']!='header') update_option( $value['id'], $_REQUEST[ $value['id'] ] );
			foreach ($options as $value) {
			if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
			header("Location: themes.php?page=settings.php&saved=true");
			die;
		} else if( 'reset' == $_REQUEST['action'] ) {
			foreach ($options as $value) delete_option( $value['id'] );
			header("Location: themes.php?page=settings.php&reset=true");
			die;
		}
    }
	add_theme_page($themename." تنظيمات", "تنظيمات قالب", 'edit_themes', basename(__FILE__), 'mytheme_admin');
}

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
    
?>
<style type="text/css">
th {
	text-align: left;
}
td {
	padding: 1px 5px !important;
}
.header td {
	padding: 20px 0 10px !important;
}
.header td p {
	padding: 4px 5px !important;
	font-size: 12px !important;
	font-weight: bold !important;
	background-color: #073447 !important;
	color: #ffffff;
	margin: 0 !important;
}
.submit {
	padding-top: 40px;
}
</style>
<div class="wrap">
<h2>تنظيمات <?php echo $themename; ?></h2>

<form method="post">

<table class="form-table">

<?php foreach ($options as $value) { 
    
if ($value['type'] == "text") { ?>
        
	<tr> 
	<th scope="row" style="width: 30%"><?php echo $value['name']; ?>:</th>
	<td>
	<input style="width: 50%" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
	&nbsp; <?php echo $value['note']; ?>
	</td>
	</tr>

<?php } elseif ($value['type'] == "textarea") { ?>
        
	<tr> 
	<th scope="row" style="width: 30%"><?php echo $value['name']; ?>:</th>
	<td>
	<textarea style="width: 80%; height: 70px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php if ( get_settings( $value['id'] ) != "") { echo htmlentities(stripslashes(get_settings( $value['id'] ))); } else { echo stripslashes($value['std']); } ?></textarea>
	&nbsp; <?php echo $value['note']; ?>
	</td>
	</tr>

<?php } elseif ($value['type'] == "select") { ?>

    <tr> 
	<th scope="row"><?php echo $value['name']; ?>:</th>
	<td>
	<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
	<?php foreach ($value['options'] as $option) { ?>
	<option value="<?php echo $option; ?>" <?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
	<?php } ?>
	</select>
	&nbsp; &nbsp; <?php echo $value['note']; ?>
	</td>
    </tr>

<?php 
} elseif ($value['type'] == "header") {?>

	<tr class="header"><td colspan="2"><p><?php  echo $value['name'] ?></p></td></tr>
	
<?php 
} 
}
?>

</table>

<p class="submit">
<input name="save" type="submit" value="ذخيره تنظيمات" />    
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit" style="border: 0;">
<!-- <input name="reset" type="submit" value="Reset" /> -->
<input type="hidden" name="action" value="reset" />
</p>
</form>

<?php
}

add_action('admin_menu', 'mytheme_add_admin');

foreach ($options as $value) {
if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); } }


# Set Values
foreach ($settings as $k=>$v) {
	$var = $shortname.'_'.$k;
	if (!empty($$var)) $settings[$k] = stripslashes($$var);
}

?>
